[Windows] wsl2 打包 wsa 失败

参考 一日一技 | WSA 定制安装,找回你需要的 Google 服务和 Magisk

执行脚本的时候,一致报错,是因为 ubuntu 版本太高了,找不到包的原因吗

root@bruce ~/MagiskOnWSALocal main
λ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 22.04.1 LTS
Release: 22.04
Codename: jammy root@bruce ~/MagiskOnWSALocal main
λ ./scripts/run.sh
Checking and ensuring dependencies
Hit:1 http://mirrors.aliyun.com/ubuntu jammy InRelease
Hit:2 http://mirrors.aliyun.com/ubuntu jammy-security InRelease
Hit:3 http://mirrors.aliyun.com/ubuntu jammy-updates InRelease
Hit:4 http://mirrors.aliyun.com/ubuntu jammy-backports InRelease
Hit:5 https://download.docker.com/linux/ubuntu jammy InRelease
Hit:6 https://dl.yarnpkg.com/debian stable InRelease
Hit:7 http://mirrors.aliyun.com/ubuntu jammy-proposed InRelease
Hit:8 http://archive.ubuntu.com/ubuntu jammy InRelease
Get:9 http://security.ubuntu.com/ubuntu jammy-security InRelease [110 kB]
Get:10 http://archive.ubuntu.com/ubuntu jammy-updates InRelease [114 kB]
Ign:11 https://ppa.launchpadcontent.net/fontforge/fontforge/ubuntu jammy InRelease
Get:12 http://archive.ubuntu.com/ubuntu jammy-backports InRelease [99.8 kB]
Err:13 https://ppa.launchpadcontent.net/fontforge/fontforge/ubuntu jammy Release 404 Not Found [IP: 185.125.190.52 443]
Reading package lists... Done
W: https://download.docker.com/linux/ubuntu/dists/jammy/InRelease: Key is stored in legacy trusted.gpg keyring (/etc/apt/trusted.gpg), see the DEPRECATION section in apt-key(8) for details.
W: https://dl.yarnpkg.com/debian/dists/stable/InRelease: Key is stored in legacy trusted.gpg keyring (/etc/apt/trusted.gpg), see the DEPRECATION section in apt-key(8) for details.
E: The repository 'https://ppa.launchpadcontent.net/fontforge/fontforge/ubuntu jammy Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
Dependencies: an error has occurred, exit

发表回复

您的电子邮箱地址不会被公开。